Package com.sas.services.information.metadata

# Interface AnalyticTableInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

public interface AnalyticTableInterface extends MetadataInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnalyticTableAttributes`
  `getAnalyticTableAttributes()`
  Get the set of attributes for this object;
  `RelationalTableInterface`
  `getTrainingTable()`
  Get the analytic training table.
  `void`
  `setAnalyticTableAttributes(AnalyticTableAttributes attributes)`
  Set the attribute for this object.
  `void`
  `setTrainingTable(RelationalTableInterface table)`
  Set the analytic training table.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getAnalyticTableAttributes

    AnalyticTableAttributes getAnalyticTableAttributes() throws ServiceException, RemoteException
    Get the set of attributes for this object;
    Returns:
      An `AnalyticTableAttributes` object with the attributes for this table.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setAnalyticTableAttributes

    void setAnalyticTableAttributes(AnalyticTableAttributes attributes) throws ServiceException, RemoteException
    Set the attribute for this object. The entire set will be applied. Normal usage is to first call getAttributes, update the set, then call setAttributes.
    Parameters:
      `attributes` - The new attribute values to set.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTrainingTable

    RelationalTableInterface getTrainingTable() throws ServiceException, RemoteException
    Get the analytic training table.
    Returns:
      A `RelationalTableInterface` representing the analytic training table.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTrainingTable

    void setTrainingTable(RelationalTableInterface table) throws ServiceException, RemoteException
    Set the analytic training table.
    Parameters:
      `table` - A `RelationalTableInterface` for the training table.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.